package com.jxml.quick.util.qiml2java;
import com.jxml.quick.ocm.*;
import java.util.*;

public class QIML2JAVA extends OCMcontextSupport 
{
	public OCMbase.SubBase spawn(HashMap prior)
	{
		OCMbase.SubBase rv=(OCMbase.SubBase)prior.get(this);
		if (rv!=null)
			return rv;
		OCMbase.SubBase base=new SubQIML2JAVA(prior);
		prior.put(this,base);
		return base;
	}

	public class SubQIML2JAVA extends OCMcontextSupport.SubContextSupport
	{
		public int varIndex;

		public SubQIML2JAVA(HashMap prior)
		{
			super(prior);
		}

		public String makeName()
		{
			return "var"+varIndex++;
		}
	}
}
